import { DocumentRegistry } from 'jupyterlab/lib/docregistry';
import { INotebookModel } from 'jupyterlab/lib/notebook/notebook/model';
import { NotebookPanel } from 'jupyterlab/lib/notebook/notebook/panel';
import { JupyterLabPlugin } from 'jupyterlab/lib/application';
import { IDisposable } from 'phosphor/lib/core/disposable';
import { WidgetManager, INBWidgetExtension } from './index';
import 'jupyter-js-widgets/css/widgets-base.css';
export declare class NBWidgetExtension implements INBWidgetExtension {
    /**
     * Create a new extension object.
     */
    createNew(nb: NotebookPanel, context: DocumentRegistry.IContext<INotebookModel>): IDisposable;
    /**
     * Register a widget module.
     */
    registerWidget(data: WidgetManager.IWidgetData): void;
    private _registry;
}
/**
 * The widget manager provider.
 */
declare const widgetManagerProvider: JupyterLabPlugin<INBWidgetExtension>;
export default widgetManagerProvider;
